package dev.fyloz.colorrecipesexplorer.config.properties

import org.springframework.boot.context.properties.ConfigurationProperties

const val DEFAULT_DATA_DIRECTORY = "data"
const val DEFAULT_CONFIG_DIRECTORY = "config"
const val DEFAULT_DEPLOYMENT_URL = "http://localhost"

@ConfigurationProperties(prefix = "cre.server")
class CreProperties {
    var dataDirectory: String = DEFAULT_DATA_DIRECTORY
    var configDirectory: String = DEFAULT_CONFIG_DIRECTORY
    var deploymentUrl: String = DEFAULT_DEPLOYMENT_URL
    var cacheGeneratedFiles: Boolean = false
}
